IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/12
Addresses2^116
/64 networks2^52
- Network
2040::/12- First address
2040::- Last address
204f:ffff:ffff:ffff:ffff:ffff:ffff:ffff- Addresses
- 83,076,749,736,557,242,056,487,941,267,521,536 (2^116)
- /64 networks (LANs)
- 4,503,599,627,370,496 (2^52)
- Full form
2040:0000:0000:0000:0000:0000:0000:0000- Type
- Global unicast 2000::/3
Public internet addresses - Reverse DNS zone
4.0.2.ip6.arpa
Split into smaller subnets
2040::/12 makes 65,536 subnets of /28; the first 256 are listed.
| # | Subnet | Last address |
|---|---|---|
| 1 | 2040::/28 | 2040:f:ffff:ffff:ffff:ffff:ffff:ffff |
| 2 | 2040:10::/28 | 2040:1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 3 | 2040:20::/28 | 2040:2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 4 | 2040:30::/28 | 2040:3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 5 | 2040:40::/28 | 2040:4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 6 | 2040:50::/28 | 2040:5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 7 | 2040:60::/28 | 2040:6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 8 | 2040:70::/28 | 2040:7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 9 | 2040:80::/28 | 2040:8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 10 | 2040:90::/28 | 2040:9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 11 | 2040:a0::/28 | 2040:af:ffff:ffff:ffff:ffff:ffff:ffff |
| 12 | 2040:b0::/28 | 2040:bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 13 | 2040:c0::/28 | 2040:cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 14 | 2040:d0::/28 | 2040:df:ffff:ffff:ffff:ffff:ffff:ffff |
| 15 | 2040:e0::/28 | 2040:ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 16 | 2040:f0::/28 | 2040:ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 17 | 2040:100::/28 | 2040:10f:ffff:ffff:ffff:ffff:ffff:ffff |
| 18 | 2040:110::/28 | 2040:11f:ffff:ffff:ffff:ffff:ffff:ffff |
| 19 | 2040:120::/28 | 2040:12f:ffff:ffff:ffff:ffff:ffff:ffff |
| 20 | 2040:130::/28 | 2040:13f:ffff:ffff:ffff:ffff:ffff:ffff |
| 21 | 2040:140::/28 | 2040:14f:ffff:ffff:ffff:ffff:ffff:ffff |
| 22 | 2040:150::/28 | 2040:15f:ffff:ffff:ffff:ffff:ffff:ffff |
| 23 | 2040:160::/28 | 2040:16f:ffff:ffff:ffff:ffff:ffff:ffff |
| 24 | 2040:170::/28 | 2040:17f:ffff:ffff:ffff:ffff:ffff:ffff |
| 25 | 2040:180::/28 | 2040:18f:ffff:ffff:ffff:ffff:ffff:ffff |
| 26 | 2040:190::/28 | 2040:19f:ffff:ffff:ffff:ffff:ffff:ffff |
| 27 | 2040:1a0::/28 | 2040:1af:ffff:ffff:ffff:ffff:ffff:ffff |
| 28 | 2040:1b0::/28 | 2040:1bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 29 | 2040:1c0::/28 | 2040:1cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 30 | 2040:1d0::/28 | 2040:1df:ffff:ffff:ffff:ffff:ffff:ffff |
| 31 | 2040:1e0::/28 | 2040:1ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 32 | 2040:1f0::/28 | 2040:1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 33 | 2040:200::/28 | 2040:20f:ffff:ffff:ffff:ffff:ffff:ffff |
| 34 | 2040:210::/28 | 2040:21f:ffff:ffff:ffff:ffff:ffff:ffff |
| 35 | 2040:220::/28 | 2040:22f:ffff:ffff:ffff:ffff:ffff:ffff |
| 36 | 2040:230::/28 | 2040:23f:ffff:ffff:ffff:ffff:ffff:ffff |
| 37 | 2040:240::/28 | 2040:24f:ffff:ffff:ffff:ffff:ffff:ffff |
| 38 | 2040:250::/28 | 2040:25f:ffff:ffff:ffff:ffff:ffff:ffff |
| 39 | 2040:260::/28 | 2040:26f:ffff:ffff:ffff:ffff:ffff:ffff |
| 40 | 2040:270::/28 | 2040:27f:ffff:ffff:ffff:ffff:ffff:ffff |
| 41 | 2040:280::/28 | 2040:28f:ffff:ffff:ffff:ffff:ffff:ffff |
| 42 | 2040:290::/28 | 2040:29f:ffff:ffff:ffff:ffff:ffff:ffff |
| 43 | 2040:2a0::/28 | 2040:2af:ffff:ffff:ffff:ffff:ffff:ffff |
| 44 | 2040:2b0::/28 | 2040:2bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 45 | 2040:2c0::/28 | 2040:2cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 46 | 2040:2d0::/28 | 2040:2df:ffff:ffff:ffff:ffff:ffff:ffff |
| 47 | 2040:2e0::/28 | 2040:2ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 48 | 2040:2f0::/28 | 2040:2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 49 | 2040:300::/28 | 2040:30f:ffff:ffff:ffff:ffff:ffff:ffff |
| 50 | 2040:310::/28 | 2040:31f:ffff:ffff:ffff:ffff:ffff:ffff |
| 51 | 2040:320::/28 | 2040:32f:ffff:ffff:ffff:ffff:ffff:ffff |
| 52 | 2040:330::/28 | 2040:33f:ffff:ffff:ffff:ffff:ffff:ffff |
| 53 | 2040:340::/28 | 2040:34f:ffff:ffff:ffff:ffff:ffff:ffff |
| 54 | 2040:350::/28 | 2040:35f:ffff:ffff:ffff:ffff:ffff:ffff |
| 55 | 2040:360::/28 | 2040:36f:ffff:ffff:ffff:ffff:ffff:ffff |
| 56 | 2040:370::/28 | 2040:37f:ffff:ffff:ffff:ffff:ffff:ffff |
| 57 | 2040:380::/28 | 2040:38f:ffff:ffff:ffff:ffff:ffff:ffff |
| 58 | 2040:390::/28 | 2040:39f:ffff:ffff:ffff:ffff:ffff:ffff |
| 59 | 2040:3a0::/28 | 2040:3af:ffff:ffff:ffff:ffff:ffff:ffff |
| 60 | 2040:3b0::/28 | 2040:3bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 61 | 2040:3c0::/28 | 2040:3cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 62 | 2040:3d0::/28 | 2040:3df:ffff:ffff:ffff:ffff:ffff:ffff |
| 63 | 2040:3e0::/28 | 2040:3ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 64 | 2040:3f0::/28 | 2040:3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 65 | 2040:400::/28 | 2040:40f:ffff:ffff:ffff:ffff:ffff:ffff |
| 66 | 2040:410::/28 | 2040:41f:ffff:ffff:ffff:ffff:ffff:ffff |
| 67 | 2040:420::/28 | 2040:42f:ffff:ffff:ffff:ffff:ffff:ffff |
| 68 | 2040:430::/28 | 2040:43f:ffff:ffff:ffff:ffff:ffff:ffff |
| 69 | 2040:440::/28 | 2040:44f:ffff:ffff:ffff:ffff:ffff:ffff |
| 70 | 2040:450::/28 | 2040:45f:ffff:ffff:ffff:ffff:ffff:ffff |
| 71 | 2040:460::/28 | 2040:46f:ffff:ffff:ffff:ffff:ffff:ffff |
| 72 | 2040:470::/28 | 2040:47f:ffff:ffff:ffff:ffff:ffff:ffff |
| 73 | 2040:480::/28 | 2040:48f:ffff:ffff:ffff:ffff:ffff:ffff |
| 74 | 2040:490::/28 | 2040:49f:ffff:ffff:ffff:ffff:ffff:ffff |
| 75 | 2040:4a0::/28 | 2040:4af:ffff:ffff:ffff:ffff:ffff:ffff |
| 76 | 2040:4b0::/28 | 2040:4bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 77 | 2040:4c0::/28 | 2040:4cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 78 | 2040:4d0::/28 | 2040:4df:ffff:ffff:ffff:ffff:ffff:ffff |
| 79 | 2040:4e0::/28 | 2040:4ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 80 | 2040:4f0::/28 | 2040:4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 81 | 2040:500::/28 | 2040:50f:ffff:ffff:ffff:ffff:ffff:ffff |
| 82 | 2040:510::/28 | 2040:51f:ffff:ffff:ffff:ffff:ffff:ffff |
| 83 | 2040:520::/28 | 2040:52f:ffff:ffff:ffff:ffff:ffff:ffff |
| 84 | 2040:530::/28 | 2040:53f:ffff:ffff:ffff:ffff:ffff:ffff |
| 85 | 2040:540::/28 | 2040:54f:ffff:ffff:ffff:ffff:ffff:ffff |
| 86 | 2040:550::/28 | 2040:55f:ffff:ffff:ffff:ffff:ffff:ffff |
| 87 | 2040:560::/28 | 2040:56f:ffff:ffff:ffff:ffff:ffff:ffff |
| 88 | 2040:570::/28 | 2040:57f:ffff:ffff:ffff:ffff:ffff:ffff |
| 89 | 2040:580::/28 | 2040:58f:ffff:ffff:ffff:ffff:ffff:ffff |
| 90 | 2040:590::/28 | 2040:59f:ffff:ffff:ffff:ffff:ffff:ffff |
| 91 | 2040:5a0::/28 | 2040:5af:ffff:ffff:ffff:ffff:ffff:ffff |
| 92 | 2040:5b0::/28 | 2040:5bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 93 | 2040:5c0::/28 | 2040:5cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 94 | 2040:5d0::/28 | 2040:5df:ffff:ffff:ffff:ffff:ffff:ffff |
| 95 | 2040:5e0::/28 | 2040:5ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 96 | 2040:5f0::/28 | 2040:5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 97 | 2040:600::/28 | 2040:60f:ffff:ffff:ffff:ffff:ffff:ffff |
| 98 | 2040:610::/28 | 2040:61f:ffff:ffff:ffff:ffff:ffff:ffff |
| 99 | 2040:620::/28 | 2040:62f:ffff:ffff:ffff:ffff:ffff:ffff |
| 100 | 2040:630::/28 | 2040:63f:ffff:ffff:ffff:ffff:ffff:ffff |
| 101 | 2040:640::/28 | 2040:64f:ffff:ffff:ffff:ffff:ffff:ffff |
| 102 | 2040:650::/28 | 2040:65f:ffff:ffff:ffff:ffff:ffff:ffff |
| 103 | 2040:660::/28 | 2040:66f:ffff:ffff:ffff:ffff:ffff:ffff |
| 104 | 2040:670::/28 | 2040:67f:ffff:ffff:ffff:ffff:ffff:ffff |
| 105 | 2040:680::/28 | 2040:68f:ffff:ffff:ffff:ffff:ffff:ffff |
| 106 | 2040:690::/28 | 2040:69f:ffff:ffff:ffff:ffff:ffff:ffff |
| 107 | 2040:6a0::/28 | 2040:6af:ffff:ffff:ffff:ffff:ffff:ffff |
| 108 | 2040:6b0::/28 | 2040:6bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 109 | 2040:6c0::/28 | 2040:6cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 110 | 2040:6d0::/28 | 2040:6df:ffff:ffff:ffff:ffff:ffff:ffff |
| 111 | 2040:6e0::/28 | 2040:6ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 112 | 2040:6f0::/28 | 2040:6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 113 | 2040:700::/28 | 2040:70f:ffff:ffff:ffff:ffff:ffff:ffff |
| 114 | 2040:710::/28 | 2040:71f:ffff:ffff:ffff:ffff:ffff:ffff |
| 115 | 2040:720::/28 | 2040:72f:ffff:ffff:ffff:ffff:ffff:ffff |
| 116 | 2040:730::/28 | 2040:73f:ffff:ffff:ffff:ffff:ffff:ffff |
| 117 | 2040:740::/28 | 2040:74f:ffff:ffff:ffff:ffff:ffff:ffff |
| 118 | 2040:750::/28 | 2040:75f:ffff:ffff:ffff:ffff:ffff:ffff |
| 119 | 2040:760::/28 | 2040:76f:ffff:ffff:ffff:ffff:ffff:ffff |
| 120 | 2040:770::/28 | 2040:77f:ffff:ffff:ffff:ffff:ffff:ffff |
| 121 | 2040:780::/28 | 2040:78f:ffff:ffff:ffff:ffff:ffff:ffff |
| 122 | 2040:790::/28 | 2040:79f:ffff:ffff:ffff:ffff:ffff:ffff |
| 123 | 2040:7a0::/28 | 2040:7af:ffff:ffff:ffff:ffff:ffff:ffff |
| 124 | 2040:7b0::/28 | 2040:7bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 125 | 2040:7c0::/28 | 2040:7cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 126 | 2040:7d0::/28 | 2040:7df:ffff:ffff:ffff:ffff:ffff:ffff |
| 127 | 2040:7e0::/28 | 2040:7ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 128 | 2040:7f0::/28 | 2040:7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 129 | 2040:800::/28 | 2040:80f:ffff:ffff:ffff:ffff:ffff:ffff |
| 130 | 2040:810::/28 | 2040:81f:ffff:ffff:ffff:ffff:ffff:ffff |
| 131 | 2040:820::/28 | 2040:82f:ffff:ffff:ffff:ffff:ffff:ffff |
| 132 | 2040:830::/28 | 2040:83f:ffff:ffff:ffff:ffff:ffff:ffff |
| 133 | 2040:840::/28 | 2040:84f:ffff:ffff:ffff:ffff:ffff:ffff |
| 134 | 2040:850::/28 | 2040:85f:ffff:ffff:ffff:ffff:ffff:ffff |
| 135 | 2040:860::/28 | 2040:86f:ffff:ffff:ffff:ffff:ffff:ffff |
| 136 | 2040:870::/28 | 2040:87f:ffff:ffff:ffff:ffff:ffff:ffff |
| 137 | 2040:880::/28 | 2040:88f:ffff:ffff:ffff:ffff:ffff:ffff |
| 138 | 2040:890::/28 | 2040:89f:ffff:ffff:ffff:ffff:ffff:ffff |
| 139 | 2040:8a0::/28 | 2040:8af:ffff:ffff:ffff:ffff:ffff:ffff |
| 140 | 2040:8b0::/28 | 2040:8bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 141 | 2040:8c0::/28 | 2040:8cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 142 | 2040:8d0::/28 | 2040:8df:ffff:ffff:ffff:ffff:ffff:ffff |
| 143 | 2040:8e0::/28 | 2040:8ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 144 | 2040:8f0::/28 | 2040:8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 145 | 2040:900::/28 | 2040:90f:ffff:ffff:ffff:ffff:ffff:ffff |
| 146 | 2040:910::/28 | 2040:91f:ffff:ffff:ffff:ffff:ffff:ffff |
| 147 | 2040:920::/28 | 2040:92f:ffff:ffff:ffff:ffff:ffff:ffff |
| 148 | 2040:930::/28 | 2040:93f:ffff:ffff:ffff:ffff:ffff:ffff |
| 149 | 2040:940::/28 | 2040:94f:ffff:ffff:ffff:ffff:ffff:ffff |
| 150 | 2040:950::/28 | 2040:95f:ffff:ffff:ffff:ffff:ffff:ffff |
| 151 | 2040:960::/28 | 2040:96f:ffff:ffff:ffff:ffff:ffff:ffff |
| 152 | 2040:970::/28 | 2040:97f:ffff:ffff:ffff:ffff:ffff:ffff |
| 153 | 2040:980::/28 | 2040:98f:ffff:ffff:ffff:ffff:ffff:ffff |
| 154 | 2040:990::/28 | 2040:99f:ffff:ffff:ffff:ffff:ffff:ffff |
| 155 | 2040:9a0::/28 | 2040:9af:ffff:ffff:ffff:ffff:ffff:ffff |
| 156 | 2040:9b0::/28 | 2040:9bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 157 | 2040:9c0::/28 | 2040:9cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 158 | 2040:9d0::/28 | 2040:9df:ffff:ffff:ffff:ffff:ffff:ffff |
| 159 | 2040:9e0::/28 | 2040:9ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 160 | 2040:9f0::/28 | 2040:9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 161 | 2040:a00::/28 | 2040:a0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 162 | 2040:a10::/28 | 2040:a1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 163 | 2040:a20::/28 | 2040:a2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 164 | 2040:a30::/28 | 2040:a3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 165 | 2040:a40::/28 | 2040:a4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 166 | 2040:a50::/28 | 2040:a5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 167 | 2040:a60::/28 | 2040:a6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 168 | 2040:a70::/28 | 2040:a7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 169 | 2040:a80::/28 | 2040:a8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 170 | 2040:a90::/28 | 2040:a9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 171 | 2040:aa0::/28 | 2040:aaf:ffff:ffff:ffff:ffff:ffff:ffff |
| 172 | 2040:ab0::/28 | 2040:abf:ffff:ffff:ffff:ffff:ffff:ffff |
| 173 | 2040:ac0::/28 | 2040:acf:ffff:ffff:ffff:ffff:ffff:ffff |
| 174 | 2040:ad0::/28 | 2040:adf:ffff:ffff:ffff:ffff:ffff:ffff |
| 175 | 2040:ae0::/28 | 2040:aef:ffff:ffff:ffff:ffff:ffff:ffff |
| 176 | 2040:af0::/28 | 2040:aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 177 | 2040:b00::/28 | 2040:b0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 178 | 2040:b10::/28 | 2040:b1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 179 | 2040:b20::/28 | 2040:b2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 180 | 2040:b30::/28 | 2040:b3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 181 | 2040:b40::/28 | 2040:b4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 182 | 2040:b50::/28 | 2040:b5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 183 | 2040:b60::/28 | 2040:b6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 184 | 2040:b70::/28 | 2040:b7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 185 | 2040:b80::/28 | 2040:b8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 186 | 2040:b90::/28 | 2040:b9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 187 | 2040:ba0::/28 | 2040:baf:ffff:ffff:ffff:ffff:ffff:ffff |
| 188 | 2040:bb0::/28 | 2040:bbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 189 | 2040:bc0::/28 | 2040:bcf:ffff:ffff:ffff:ffff:ffff:ffff |
| 190 | 2040:bd0::/28 | 2040:bdf:ffff:ffff:ffff:ffff:ffff:ffff |
| 191 | 2040:be0::/28 | 2040:bef:ffff:ffff:ffff:ffff:ffff:ffff |
| 192 | 2040:bf0::/28 | 2040:bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 193 | 2040:c00::/28 | 2040:c0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 194 | 2040:c10::/28 | 2040:c1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 195 | 2040:c20::/28 | 2040:c2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 196 | 2040:c30::/28 | 2040:c3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 197 | 2040:c40::/28 | 2040:c4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 198 | 2040:c50::/28 | 2040:c5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 199 | 2040:c60::/28 | 2040:c6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 200 | 2040:c70::/28 | 2040:c7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 201 | 2040:c80::/28 | 2040:c8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 202 | 2040:c90::/28 | 2040:c9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 203 | 2040:ca0::/28 | 2040:caf:ffff:ffff:ffff:ffff:ffff:ffff |
| 204 | 2040:cb0::/28 | 2040:cbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 205 | 2040:cc0::/28 | 2040:ccf:ffff:ffff:ffff:ffff:ffff:ffff |
| 206 | 2040:cd0::/28 | 2040:cdf:ffff:ffff:ffff:ffff:ffff:ffff |
| 207 | 2040:ce0::/28 | 2040:cef:ffff:ffff:ffff:ffff:ffff:ffff |
| 208 | 2040:cf0::/28 | 2040:cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 209 | 2040:d00::/28 | 2040:d0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 210 | 2040:d10::/28 | 2040:d1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 211 | 2040:d20::/28 | 2040:d2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 212 | 2040:d30::/28 | 2040:d3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 213 | 2040:d40::/28 | 2040:d4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 214 | 2040:d50::/28 | 2040:d5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 215 | 2040:d60::/28 | 2040:d6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 216 | 2040:d70::/28 | 2040:d7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 217 | 2040:d80::/28 | 2040:d8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 218 | 2040:d90::/28 | 2040:d9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 219 | 2040:da0::/28 | 2040:daf:ffff:ffff:ffff:ffff:ffff:ffff |
| 220 | 2040:db0::/28 | 2040:dbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 221 | 2040:dc0::/28 | 2040:dcf:ffff:ffff:ffff:ffff:ffff:ffff |
| 222 | 2040:dd0::/28 | 2040:ddf:ffff:ffff:ffff:ffff:ffff:ffff |
| 223 | 2040:de0::/28 | 2040:def:ffff:ffff:ffff:ffff:ffff:ffff |
| 224 | 2040:df0::/28 | 2040:dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 225 | 2040:e00::/28 | 2040:e0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 226 | 2040:e10::/28 | 2040:e1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 227 | 2040:e20::/28 | 2040:e2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 228 | 2040:e30::/28 | 2040:e3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 229 | 2040:e40::/28 | 2040:e4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 230 | 2040:e50::/28 | 2040:e5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 231 | 2040:e60::/28 | 2040:e6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 232 | 2040:e70::/28 | 2040:e7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 233 | 2040:e80::/28 | 2040:e8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 234 | 2040:e90::/28 | 2040:e9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 235 | 2040:ea0::/28 | 2040:eaf:ffff:ffff:ffff:ffff:ffff:ffff |
| 236 | 2040:eb0::/28 | 2040:ebf:ffff:ffff:ffff:ffff:ffff:ffff |
| 237 | 2040:ec0::/28 | 2040:ecf:ffff:ffff:ffff:ffff:ffff:ffff |
| 238 | 2040:ed0::/28 | 2040:edf:ffff:ffff:ffff:ffff:ffff:ffff |
| 239 | 2040:ee0::/28 | 2040:eef:ffff:ffff:ffff:ffff:ffff:ffff |
| 240 | 2040:ef0::/28 | 2040:eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 241 | 2040:f00::/28 | 2040:f0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 242 | 2040:f10::/28 | 2040:f1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 243 | 2040:f20::/28 | 2040:f2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 244 | 2040:f30::/28 | 2040:f3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 245 | 2040:f40::/28 | 2040:f4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 246 | 2040:f50::/28 | 2040:f5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 247 | 2040:f60::/28 | 2040:f6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 248 | 2040:f70::/28 | 2040:f7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 249 | 2040:f80::/28 | 2040:f8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 250 | 2040:f90::/28 | 2040:f9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 251 | 2040:fa0::/28 | 2040:faf:ffff:ffff:ffff:ffff:ffff:ffff |
| 252 | 2040:fb0::/28 | 2040:fbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 253 | 2040:fc0::/28 | 2040:fcf:ffff:ffff:ffff:ffff:ffff:ffff |
| 254 | 2040:fd0::/28 | 2040:fdf:ffff:ffff:ffff:ffff:ffff:ffff |
| 255 | 2040:fe0::/28 | 2040:fef:ffff:ffff:ffff:ffff:ffff:ffff |
| 256 | 2040:ff0::/28 | 2040:fff:ffff:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |